%define upstream_name    CPANPLUS-Shell-Default-Plugins-Prereqs
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Plugin for CPANPLUS to automate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPANPLUS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPANPLUS) >= 0.770.0
BuildRequires: perl(CPANPLUS::Dist::Build)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::CaptureOutput) >= 1.110.200
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Perl6::Junction)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A plugin for CPANPLUS's default shell which will display and/or install any
missing prerequisites for a module. The module can be specified by name, as
a URL or path to the directory of an unpacked module. The plugin assumes
the current directory if no module is specified.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
#./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.140.0-2.mga9
+ Revision: 1819682
- Mageia 9 Mass Rebuild

* Tue Mar 10 2020 tv <tv> 0.140.0-1.mga8
+ Revision: 1555207
- update to 0.14

* Thu Mar 05 2020 tv <tv> 0.120.0-1.mga8
+ Revision: 1553950
- update to 0.12

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-9.mga8
+ Revision: 1493598
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-8.mga7
+ Revision: 1266692
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1024490
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 931669
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 746262
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 683704
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 509465
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 363714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 254581
- update to 0.10

* Tue Mar 06 2012 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 220152
- update to 0.08

* Wed Jan 26 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 41234
- mageia rebuild
- imported package perl-CPANPLUS-Shell-Default-Plugins-Prereqs

